#1058 Database synchronisation: ftp or http? Or a mixture?

KeePass_2.x
closed
nobody
None
5
2015-02-18
2012-11-30
Simon Platt
No

Keepass 2.20.1

Database synchronisation fails from my corporate network. Our IT support report that the following appears in the proxy ftp server log

ftp-child [13116] <11/27-14:35:15> USER-INF connect from [my internal IP address]
ftp-child [13116] <11/27-14:35:15> USER-WRN unknown 'GET' from [my internal IP address]
ftp-child [13116] <11/27-14:35:15> USER-WRN unknown 'Host:' from [my internal IP address]
ftp-child [13116] <11/27-14:35:15> USER-WRN unknown 'Cache-Control:' from [my internal IP address]
ftp-child [13116] <11/27-14:35:15> USER-WRN unknown 'Pragma:' from [my internal IP address]
ftp-child [13116] <11/27-14:35:15> USER-WRN unknown 'Proxy-Connection:' from [my internal IP address]
ftp-child [13116] <11/27-14:35:15> USER-INF closing connect from [my local IP address] after 0 secs - read 0/0, sent 0/0 byte/sec

and advise that the proxy is refusing the request because it is receiving http commands ('GET', etc.) rather than ftp commands. They are confident that their proxy is configured correctly, and that this is a bug in the client application. Is this a keepass bug or a .net bug? Can it be fixed? Not all proxies will reject these commands, it seems.

Discussion

  • Paul

    Paul - 2012-12-01

    GET is an FTP command.
    Try the IOProtocolExt plug-in.

    cheers, Paul

    p.s. please open these in the the Discussion forums. Bugs is for confirmed bugs that need fixing.

     
  • Simon Platt

    Simon Platt - 2012-12-03

    Dear Paul,

    Thanks.

    Are you sure get is an FTP command? I don't think it is. If I understand correctly, ftp clients often provide get as a synonym for recv, but recv is the underlying FTP command. Our sysadmins report that our ftp proxy server fails because it doesn't recognise get as an ftp command, whereas it would recognise recv.

    The IOProtocolExt plugin doesn't solve the problem, I'm afraid.

    I think this is a confirmed bug that needs fixing. Rather than duplicate this post elsewhere I think it should stay here.

     
  • Paul

    Paul - 2012-12-03

    You are correct, but it's one of those things that Microsoft have in their FTP client, and probably .NET, that are standards by default. I am not very good at reading the source code so I can't tell you whether it's in KeePass or NET. Maybe Dominik will let us know.

    cheers, Paul

     
  • Dominik Reichl

    Dominik Reichl - 2012-12-04
    • status: open --> closed
     
  • Dominik Reichl

    Dominik Reichl - 2012-12-04

    If I read that correctly, you have tried both KeePass as well as the IOProtocolExt plugin with the same results. In this case, I can confirm that it's definitely not a bug in KeePass (KeePass uses FTP methods of the .NET Framework and IOProtocolExt uses WinSCP; these are two totally different implementations).

    Are you sure that your URL starts with ftp://? If it indeed starts with ftp://, I guess it's a proxy configuration problem.

    Best regards
    Dominik

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks